Package twisted :: Package protocols :: Module imap4 :: Class IMessage

[frames | no frames]

## Class IMessage

    Interface --+
                |
     IMessagePart --+
                    |
                   IMessage

Method Summary
`iterable` | ``getFlags`(self)` Retrieve the flags associated with this message.
`str` | ``getInternalDate`(self)` Retrieve the date internally associated with this message.
| ``getUID`(self)` Retrieve the unique identifier associated with this message.
Inherited from IMessagePart
| ``getBodyFile`(self)` Retrieve a file object containing only the body of this message.
`dict` | ``getHeaders`(self, negate, *names)` Retrieve a group of message headers.
`int` | ``getSize`(self)` Retrieve the total size, in octets, of this message.
Any object implementing `IMessagePart`. | ``getSubPart`(self, part)` Retrieve a MIME sub-message
`bool` | ``isMultipart`(self)` Indicate whether this message has subparts.

Method Details

### getFlags(self)

Retrieve the flags associated with this message.

  Returns:
    The flags, represented as strings.
    (type=`iterable`)

### getInternalDate(self)

Retrieve the date internally associated with this message.

  Returns:
    An RFC822-formatted date string.
    (type=`str`)

### getUID(self)

Retrieve the unique identifier associated with this message.

Generated by Epydoc 2.0 on Sat May 15 20:08:13 2004 | http://epydoc.sf.net